cURL
curl "https://api.haau3.com/v1/fhir/r4/PractitionerRole/PractitionerRole-179421b5-5919-4f54-84c9-a4473b68f74c" \
-H "Authorization: Bearer $HAAU3_API_KEY"import { Haau3 } from "@haau3/sdk";
const haau3 = new Haau3(); // reads HAAU3_API_KEY
const practitionerRole = await haau3.readPractitionerRole("PractitionerRole-179421b5-5919-4f54-84c9-a4473b68f74c");
console.log(practitionerRole.id);
from haau3 import Haau3
client = Haau3() # reads HAAU3_API_KEY
practitioner_role = client.read_practitioner_role("PractitionerRole-179421b5-5919-4f54-84c9-a4473b68f74c")
print(practitioner_role.get("id"))
package main
import (
"context"
"fmt"
"log"
"github.com/haau3/haau3-go"
)
func main() {
ctx := context.Background()
client, err := haau3.NewClient() // reads HAAU3_API_KEY
if err != nil {
log.Fatal(err)
}
practitionerRole, err := client.ReadPractitionerRole(ctx, "PractitionerRole-179421b5-5919-4f54-84c9-a4473b68f74c")
if err != nil {
log.Fatal(err)
}
if practitionerRole.ID != nil {
fmt.Println(*practitionerRole.ID)
}
}
{
"resourceType": "PractitionerRole",
"id": "PractitionerRole-179421b5-5919-4f54-84c9-a4473b68f74c",
"meta": {
"lastUpdated": "2026-10-14T20:22:07.148389167Z",
"profile": [
"http://hl7.org/fhir/us/ndh/StructureDefinition/ndh-PractitionerRole"
],
"versionId": "1"
},
"extension": [
{
"url": "http://hl7.org/fhir/us/ndh/StructureDefinition/base-ext-newpatients",
"extension": [
{
"url": "acceptingPatients",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/accepting-patients",
"code": "newpt",
"display": "Accepting new and existing patients"
}
]
}
}
]
}
],
"active": true,
"practitioner": {
"reference": "Practitioner/Practitioner-1093209884"
},
"organization": {
"reference": "Organization/Organization-1417927559"
},
"period": {
"start": "2024-09-09T00:00:00Z"
},
"location": [
{
"reference": "Location/Location-91b06a35-8b0e-4aad-abdf-583fa4f132a9"
}
],
"telecom": [
{
"system": "phone",
"value": "6053289419",
"use": "work"
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "error",
"code": "forbidden",
"details": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/api-error",
"code": "test-key-outside-sandbox",
"display": "Test key outside the Sandbox"
}
],
"text": "This is a test key, which works only in the Sandbox (https://api.haau3.com/v1/sandbox/fhir/r4). Send this request with a live key; create one in the dashboard. See https://docs.haau3.com/authentication#test-and-live-keys"
}
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}Provider directory
Read a PractitionerRole
Read one practitioner role by id, as returned by a search on this service.
GET
/
v1
/
fhir
/
r4
/
PractitionerRole
/
{id}
cURL
curl "https://api.haau3.com/v1/fhir/r4/PractitionerRole/PractitionerRole-179421b5-5919-4f54-84c9-a4473b68f74c" \
-H "Authorization: Bearer $HAAU3_API_KEY"import { Haau3 } from "@haau3/sdk";
const haau3 = new Haau3(); // reads HAAU3_API_KEY
const practitionerRole = await haau3.readPractitionerRole("PractitionerRole-179421b5-5919-4f54-84c9-a4473b68f74c");
console.log(practitionerRole.id);
from haau3 import Haau3
client = Haau3() # reads HAAU3_API_KEY
practitioner_role = client.read_practitioner_role("PractitionerRole-179421b5-5919-4f54-84c9-a4473b68f74c")
print(practitioner_role.get("id"))
package main
import (
"context"
"fmt"
"log"
"github.com/haau3/haau3-go"
)
func main() {
ctx := context.Background()
client, err := haau3.NewClient() // reads HAAU3_API_KEY
if err != nil {
log.Fatal(err)
}
practitionerRole, err := client.ReadPractitionerRole(ctx, "PractitionerRole-179421b5-5919-4f54-84c9-a4473b68f74c")
if err != nil {
log.Fatal(err)
}
if practitionerRole.ID != nil {
fmt.Println(*practitionerRole.ID)
}
}
{
"resourceType": "PractitionerRole",
"id": "PractitionerRole-179421b5-5919-4f54-84c9-a4473b68f74c",
"meta": {
"lastUpdated": "2026-10-14T20:22:07.148389167Z",
"profile": [
"http://hl7.org/fhir/us/ndh/StructureDefinition/ndh-PractitionerRole"
],
"versionId": "1"
},
"extension": [
{
"url": "http://hl7.org/fhir/us/ndh/StructureDefinition/base-ext-newpatients",
"extension": [
{
"url": "acceptingPatients",
"valueCodeableConcept": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/accepting-patients",
"code": "newpt",
"display": "Accepting new and existing patients"
}
]
}
}
]
}
],
"active": true,
"practitioner": {
"reference": "Practitioner/Practitioner-1093209884"
},
"organization": {
"reference": "Organization/Organization-1417927559"
},
"period": {
"start": "2024-09-09T00:00:00Z"
},
"location": [
{
"reference": "Location/Location-91b06a35-8b0e-4aad-abdf-583fa4f132a9"
}
],
"telecom": [
{
"system": "phone",
"value": "6053289419",
"use": "work"
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "error",
"code": "forbidden",
"details": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/api-error",
"code": "test-key-outside-sandbox",
"display": "Test key outside the Sandbox"
}
],
"text": "This is a test key, which works only in the Sandbox (https://api.haau3.com/v1/sandbox/fhir/r4). Send this request with a live key; create one in the dashboard. See https://docs.haau3.com/authentication#test-and-live-keys"
}
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}Authorizations
A live platform API key (haau3_sk_live_…), sent as Authorization: Bearer <key>. It works for every service outside the Sandbox. Create one on the API keys page at https://platform.haau3.com.
Headers
An id of your own for this request, as a UUID. It comes back in the X-Correlation-Id header and is kept with haau3's record of the request. Any value that is not a UUID is ignored. See https://docs.haau3.com/errors#request-ids.
Path Parameters
Response
The PractitionerRole, as the directory publishes it.
A FHIR R4 PractitionerRole.